<!--Navbar-->
<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
  <a class="navbar-brand" href="#">Click & Clean</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item">
        <a class="nav-link" routerLink="../../index">Inicio </a>
      </li>
      <li class="nav-item ">
        <a class="nav-link" routerLink="../service">Servicios</a>
      </li>
      <li class="nav-item active">
        <a class="nav-link" routerLink="../profile"><span class="sr-only">(current)</span>Perfil</a>
      </li>
      <li class="nav-item ">
        <a class="nav-link" routerLink="../products">Productos
        </a>
      </li>
      <li class="nav-item ">
        <a class="nav-link" routerLink="../cart">Carrito <mat-icon class="badge-icon" [matBadge]="carrito"></mat-icon>
        </a>
      </li>
      <li class="nav-item ">
        <a class="nav-link" routerLink="../contracts">Mis Contratos
        </a>
      </li>
    </ul>
    <ng-template [ngIf]="user==null" [ngIfElse]="cuenta">
      <button class="btn btn-info btn-sm" type="button" routerLink="../../auth/login">Iniciar sesión</button>
      <button class="btn btn-info btn-sm" type="button" routerLink="../../auth/register"
        style="margin-left: 10px;">Registrarse</button>
    </ng-template>
    <ng-template #cuenta>
      <span class="usuario-menu">{{user.nombre_usuario}}</span>
      <button class="btn btn-info btn-sm" type="button" (click)="logout()">Cerrar sesión</button>
    </ng-template>
  </div>
</nav>
<!--/.Navbar-->
<ng-template [ngIf]="user!=null">
  <section class="bg-light first-section fondo-perfil">
    <!-- header section -->
    <header>
      <div class="container">
        <div class="row">
          <div class="col-md-12 col-sm-12">
            <label for="file2" style="display: flex; max-height: 600px; max-width: 600px; margin: auto;">
              <ng-template [ngIf]="imgURL1!=null" [ngIfElse]="imgpred2">
                <img [src]="imgURL1"  class="img-responsive img-circle tm-border img-perfil"
                alt="assets/images/fondo2.webp">
              </ng-template>
              <ng-template #imgpred2>
                <img [src]="servidor+'/imagenes/'+user.imagen_usuario" class="img-responsive img-circle tm-border img-perfil"
              alt="assets/images/fondo2.webp">
              </ng-template>

            </label>
            <input type="file" id="file2" accept="image/x-png,image/jpeg,image/jpg"
              (change)="handleFileInput($event.target.files)" hidden>
            
            <hr>
            <ng-template [ngIf]="user!=null">
              <h1 class="tm-title bold">Hola {{user.nombre_usuario}}</h1>
              <h1 class="white bold">{{user.ap_paterno_usuario}} {{user.ap_materno_usuario}}</h1>
            </ng-template>
          </div>
        </div>
      </div>
    </header>

    <!-- about and skills section -->
    <section class="container">
      <div class="row">
        <div class="col-md-6 col-sm-12">
          <div class="about">
            <h3 class="accent">Datos personales</h3>
            <mat-list>
              <mat-list-item><b>Correo: </b> {{user.email_usuario}}</mat-list-item>
              <mat-list-item><b>Fecha nacimiento:</b> {{user.fecha_nacimiento_usuario | date:'dd/MM/yyyy'}}
              </mat-list-item>
              <mat-list-item><b>Fecha ingreso:</b> {{user.fecha_ingreso_usuario | date:'dd/MM/yyyy'}}</mat-list-item>

            </mat-list>
          </div>
        </div>
        <div class="col-md-6 col-sm-12">
          <div class="skills">
            <h2 class="white">Contacto</h2>
            <mat-list>
              <mat-list-item class="white"><b>Telefono:</b> {{user.telcasa_usuario}}</mat-list-item>
              <mat-list-item class="white"><b>Celular:</b> {{user.celular_usuario}}</mat-list-item>

            </mat-list>

          </div>
        </div>
      </div>
    </section>

    <!-- education and languages -->
    <section class="container">
      <div class="row">
        <div class="col-md-8 col-sm-12" style="overflow-x: auto;
        max-height: 360px;">
          <div class="education">
            <h2 class="white">Direcciones</h2>
            <div class="education-content">
              <h4 class="education-title accent">Direcciones registradas</h4>
              <div class="education-school" >
                <div *ngFor="let inmueble of inmuebles">
                <h5 style="margin-top: 5px;">{{inmueble.calle_inm}} #{{inmueble.numero_inm}}, {{inmueble.colonia_inm}},
                  {{inmueble.ciudad_inm}} {{inmueble.estado_inm}}</h5><span></span>
                  <mat-divider></mat-divider>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="col-md-4 col-sm-12">
          <div class="languages">
            <h2 style="text-align: center;">Invita a tus amigos</h2>
            <h3 class="accent" style="text-align: center;">156165</h3>
            <p>Invita a tus amigos para recibir descuentos especiales</p>
            <h4 style="text-align: center;">Recompensas</h4>
            <h3 class="accent" style="text-align: center;">0</h3>
          </div>
        </div>
      </div>
    </section>

    <!-- contact and experience -->
    <section class="container">
      <div class="row">
        <div class="col-md-4 col-sm-12">
          <div class="contact">
            <h2>Contactanos</h2>
            <p><i class="fa fa-map-marker"></i> Dirreccion CLICK CLEAN</p>
            <p><i class="fa fa-phone"></i> 010-020-0890</p>
            <p><i class="fa fa-envelope"></i> easy@clickclean.com</p>
            <p><i class="fa fa-globe"></i> www.clickclean.com</p>
          </div>
        </div>
        <div class="col-md-8 col-sm-12" style="overflow-x: auto; max-height: 360px;">
          <div class="experience">
            <h2 class="white">Contratos</h2>
            <div class="experience-content">
              <h4 class="experience-title accent">Tus contratos</h4>
              <div *ngFor="let contrato of contratos">
                <h5>{{contrato.calle_inm}} {{contrato.numero_inm}}</h5><span style="color: rgb(199, 199, 199)"> ID:
                  {{contrato.id_contrato}}</span>
                <h5>{{contrato.inicio_contrato | date: 'dd/MM/yyyy hh:mm'}} - {{contrato.fin_contrato | date:
                  'dd/MM/yyyy hh:mm'}}</h5><br>
                <button mat-raised-button color="primary"
                  (click)="abrirModalContrato(contrato.id_contrato)">Detalles</button>
              </div>

            </div>
          </div>
        </div>
      </div>
    </section>

    <!-- footer section -->
    <footer class="site-footer bg-dark">
      <div class="container">
        <div class="row">
          <div class="col-md-12">
            <div class="row">
              <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
                <h2 class="footer-heading mb-4">Mapa del sitio</h2>
                <ul class="list-unstyled">
                  <li><a href="index/perfil">Perfil</a></li>
                  <li><a href="index">Tienda</a></li>
                  <li><a href="index/carrito">Carrito</a></li>
                  <li><a href="index/rentas">Mis rentas</a></li>
                </ul>
              </div>
              <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
                <h2 class="footer-heading mb-4">Acerca de nosotros</h2>
                <ul class="list-unstyled">
                  <li><a href="#">Acerca de nosotros</a></li>
                  <li><a href="#">Servicios</a></li>
                  <li><a href="#">Soporte</a></li>
                  <li><a href="#">Contactanos</a></li>
                </ul>
              </div>

              <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
                <h2 class="footer-heading mb-4">Siguenos</h2>
                <a href="#" class="pl-0 pr-3"><span class="fa fa-facebook"></span></a>
                <a href="#" class="pl-3 pr-3"><span class="fa fa-twitter"></span></a>
                <a href="#" class="pl-3 pr-3"><span class="fa fa-instagram"></span></a>
                <a href="#" class="pl-3 pr-3"><span class="fa fa-linkedin"></span></a>
              </div>
              <div class="col-md-6 mb-5 mb-lg-0 col-lg-3">
                <h2 class="footer-heading mb-4">Suscribete a nosotros</h2>
                <p>Enterate de las ultimas novedades de la pagina</p>
                <form action="#" method="post">
                  <div class="input-group mb-3">
                    <input type="text" class="form-control bg-light" placeholder="Enter Email" aria-label="Enter Email"
                      aria-describedby="button-addon2">
                    <div class="input-group-append">
                      <button class="btn btn-primary text-white" type="button" id="button-addon2">Send</button>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>

        </div>
        <div class="row pt-5 mt-5">
          <div class="col-12 text-md-center text-left">
            <p>
              Copyright &copy; 2020 All rights reserved | POWERED <i class="icon-home text-danger"
                aria-hidden="true"></i>
              by <a href="" target="_blank">Click & Clean</a>
            </p>
          </div>
        </div>
      </div>
    </footer>
  </section>

  <!--Modal-->
  <div class="modal " id="myModal" [style.display]="showModalContrato ? 'block' : 'none'">
    <div class="modal-dialog big-modal">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Detalle de contrato</h5>
          <button type="button" class="close" aria-label="Close" (click)="cerrarModalContrato()">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <ng-template [ngIf]="detalleContrato!=null">
          <div class="row">
            <div class="col-12 col-md-6">
              <mat-card>
                <mat-card-title>Servicios contratatos:</mat-card-title>
                <div *ngFor="let servicio of detalleContrato">
                  <div class="row">
                    <div class="col-3">
                      <img [src]="servidor+'/imagenes/'+servicio.imagen_servicio"
                        class="img-responsive img-circle" style="width: 100%;" alt="templatemo easy profile">
                    </div>
                    <div class="col-9">
                      <mat-card-subtitle><b>${{servicio.total_servicio_contrato}}
                          {{servicio.nombre_servicio}}:</b></mat-card-subtitle>
                      <mat-card-content> {{servicio.caracteristicas_servicio}}</mat-card-content>
                    </div>
                  </div>


                </div>
              </mat-card>
            </div>
            <div class="col-12 col-md-6">
              <mat-card>
                <mat-card-title>Dirección</mat-card-title>
                <mat-card-content>{{detalleContrato[0].calle_inm}} {{detalleContrato[0].numero_inm}} {{detalleContrato[0].colonia_inm}} {{detalleContrato[0].ciudad_inm}} {{detalleContrato[0].estado_inm}}</mat-card-content>
              </mat-card>
              <mat-card>
                <mat-card-title>Fechas</mat-card-title>
                <mat-card-content>{{detalleContrato[0].inicio_contrato | date: 'dd/MM/yyyy hh:mm'}} - {{detalleContrato[0].fin_contrato | date: 'dd/MM/yyyy hh:mm'}} </mat-card-content>
              </mat-card>
              <mat-card>
                <mat-card-title>Días de la semana:</mat-card-title>
                <mat-card-content><ng-template [ngIf]="detalleContrato[0].lunes">Lunes </ng-template>
                  <ng-template [ngIf]="detalleContrato[0].martes">, Martes </ng-template>
                  <ng-template [ngIf]="detalleContrato[0].miercoles">, Miércoles </ng-template>
                  <ng-template [ngIf]="detalleContrato[0].jueves">, Jueves </ng-template>
                  <ng-template [ngIf]="detalleContrato[0].viernes">, Viernes </ng-template>
                  <ng-template [ngIf]="detalleContrato[0].sabado">, Sábado </ng-template>
                  <ng-template [ngIf]="detalleContrato[0].domingo">, Domingo </ng-template>
                </mat-card-content>
              </mat-card>
              <mat-card>
                <mat-card-title>Empleada:</mat-card-title>
                <mat-card-content>
                  {{detalleContrato[0].nombre_empleado}} {{detalleContrato[0].ap_paterno_empleado}} {{detalleContrato[0].ap_materno_empleado}}
                </mat-card-content>
              </mat-card>
              <mat-card>
                <mat-card-title>
                  <h4>Total: ${{detalleContrato[0].total_contrato | number: '0.2-2'}}</h4>
                </mat-card-title>
              </mat-card>
            </div>
          </div>
        </ng-template>
        </div>
        <div class="modal-footer">
          <button type="button" mat-raised-button color="primary" (click)="cerrarModalContrato()">Cerrar</button>

        </div>
      </div>
    </div>
  </div>
</ng-template>
<!-- preloader section 
<div class="preloader">
	<div class="sk-spinner sk-spinner-wordpress">
       <span class="sk-inner-circle"></span>
     </div>
</div>-->